repository intelligence
Create repository intelligence impact
Requires scopes: eval:read
POST
/
api
/
repository-intelligence
/
repositories
/
{repositoryId}
/
graph
/
impact
Create repository intelligence impact
curl --request POST \
--url https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/impact \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseGraphVersionId": "<string>",
"headGraphVersionId": "<string>"
}
'import requests
url = "https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/impact"
payload = {
"baseGraphVersionId": "<string>",
"headGraphVersionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({baseGraphVersionId: '<string>', headGraphVersionId: '<string>'})
};
fetch('https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/impact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"diff": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repositoryId": 123,
"recommendedEvaluationIds": [
123
],
"baseGraphVersionId": "<string>",
"headGraphVersionId": "<string>",
"addedNodeIds": [
"<string>"
],
"removedNodeIds": [
"<string>"
],
"changedNodeIds": [
"<string>"
],
"addedEdgeIds": [
"<string>"
],
"removedEdgeIds": [
"<string>"
],
"changedEdgeIds": [
"<string>"
],
"impactedNodeIds": [
"<string>"
],
"impactedObjectiveIds": [
"<string>"
],
"impactedRequirementIds": [
"<string>"
],
"diffHash": "<string>"
},
"plan": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repositoryId": 123,
"planHash": "<string>",
"policyVersionId": "<string>",
"estimatedCostUsd": 123,
"graphDiffId": "<string>",
"estimatedRuntimeMs": 123,
"affectedObjectives": [
"<string>"
],
"requiredEvaluations": [
{
"evaluationId": 123,
"reasonCodes": [
"<string>"
],
"hardRequired": true
}
],
"changedComponents": [
{
"nodeId": "<string>",
"changeKind": "modified",
"sourceLocators": [
{
"repositoryId": 123,
"commitSha": "<string>",
"blobSha": "<string>",
"path": "<string>",
"startLine": 123,
"endLine": 123,
"startColumn": 123,
"endColumn": 123,
"symbolKey": "<string>",
"language": "<string>",
"contentHash": "<string>",
"protectedExcerptHash": "<string>"
}
]
}
],
"affectedSystems": [
"<string>"
],
"affectedRequirements": [
"<string>"
],
"affectedReleaseArtifacts": [
"<string>"
],
"uncoveredRisks": [
"<string>"
]
},
"analysisCompleted": true,
"unmappedRisks": [
"<string>"
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Create repository intelligence impact
